%define oname mdp
Name: python-module-%oname
Version: 2.5
Release: alt1.svn20091007
Summary: Modular toolkit for Data Processing

Group: Development/Python
License: LGPL v2
URL: http://mdp-toolkit.sourceforge.net/
# https://mdp-toolkit.svn.sourceforge.net/svnroot/mdp-toolkit
Source: %oname-%version.tar.gz
BuildArch: noarch
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildPreReq: python-devel python-module-docutils python-module-epydoc
BuildPreReq: python-module-scipy texlive-latex-base graphviz

%description
Modular toolkit for Data Processing (MDP) is a Python data processing
framework.

From the user's perspective, MDP is a collection of supervised and
unsupervised learning algorithms and other data processing units that
can be combined into data processing sequences and more complex
feed-forward network architectures.

From the scientific developer's perspective, MDP is a modular framework,
which can easily be expanded. The implementation of new algorithms is
easy and intuitive. The new implemented units are then automatically
integrated with the rest of the library.

The base of available algorithms is steadily increasing and includes, to
name but the most common, Principal Component Analysis (PCA and NIPALS),
several Independent Component Analysis algorithms (CuBICA, FastICA,
TDSEP, JADE, and XSFA), Slow Feature Analysis, Gaussian Classifiers,
Restricted Boltzmann Machine, and Locally Linear Embedding.

%package doc
Summary: Documentation for Modular toolkit for Data Processing
Group: Development/Documentation
BuildArch: noarch

%description doc
Modular toolkit for Data Processing (MDP) is a Python data processing
framework.

This package contains documentation for MDP.

%package -n python-module-binet
Summary: Extension of the pure feed-forward flow concept in MDP
Group: Development/Python
BuildArch: noarch

%description -n python-module-binet
The BiNet package is an extension of the pure feed-forward flow concept in MDP.

It defines a framework for far more general flow sequences, involving
top-down processes (e.g. for error backpropagation) or even loops.
So the 'bi' in BiNet primarily stands for 'bidirectional'.

BiNet is implemented by extending both the Node and the Flow concept. Both the
new BiNode and BiFlow classes are 'downward' compatible with the classical
Nodes and Flows, so they can be combined with BiNet elements.

The fundamental addition in BiNet is that BiNodes can specify a target node for
their output and that they can send messages to other nodes. A BiFlow is then
needed to interpret these arguments, e.g. to continue the flow execution at the
specified target node.

BiNet is fully integrated with the HiNet and the Parallel packages. This was
actually one main motivation for creating BiNet, to leverage the modular design
of the other MDP packages.

%prep
%setup

%build
pushd mdp_dist
%python_build
popd

pushd mdp_html
mkdir -p API/docs
./html_generator
./api_generator
rm -fR html/docs
popd

%install
pushd mdp_dist
%python_install
popd

cp -fR binet %buildroot%python_sitelibdir/

pushd mdp_html
for i in api tutorial docs; do
	install -d %buildroot%_docdir/%name/$i
done
install -m644 API/docs/api/* %buildroot%_docdir/%name/api
cp -fR html/* %buildroot%_docdir/%name/docs/
pushd tutorial_src
install -m644 *.png *.gif *.css *.html *.pdf \
	%buildroot%_docdir/%name/tutorial
popd
popd

%files
%python_sitelibdir/MDP-%version-*.egg-info
%python_sitelibdir/%oname

%files doc
%_docdir/%name

%files -n python-module-binet
%python_sitelibdir/binet

%changelog
* Fri Oct 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.5-alt1.svn20091007
- Initial build for Sisyphus

